<!--
IGAC proyecto SNC
@juan.agudelo
-->

<ui:composition xmlns="http://www.w3.org/1999/xhtml"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns:f="http://java.sun.com/jsf/core"
                xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:p="http://primefaces.org/ui"
                template="../templates/general.xhtml">


    <!-- CASO DE USO CU-NP-CO-150 -->


    <ui:define name="content">
        <h:form>
            <h:panelGrid columns="1">
                <p:panel header="Documentos">
                    <h:panelGrid columns="1">
                        <h:panelGrid columns="2">
                            <h:outputLabel value="Número de radicación:"
                                           for="numeroRadicacion" styleClass="outputLabelStyle" />
                            <h:inputText value="02-560-825-2009" id="numeroPRadicacion"
                                         readonly="true" required="true" label="Número radicación" />

                        </h:panelGrid>

                        <h:panelGrid columns="1">
                            <p:panel header="Documentos faltantes" toggleable="true">
                                <p:dataTable var="documentosFaltantes"
                                             value="#{consultaDocumentosTramite.documentosFaltantes}">

                                    <p:column>
                                        <f:facet name="header">
                                            Tipo documento
                                        </f:facet>
                                        <h:outputText
                                            value="#{documentosFaltantes.tipoDocumento.nombre}" />
                                    </p:column>

                                    <p:column>
                                        <f:facet name="header">
                                            Detalle
                                        </f:facet>
                                        <h:outputText value="#{documentosFaltantes.detalle}" />
                                    </p:column>

                                    <p:column>
                                        <f:facet name="header">
                                            Fecha de solicitud
                                        </f:facet>
                                        <h:outputText value="#{documentosFaltantes.fechaAporte}" />
                                    </p:column>
                                </p:dataTable>
                            </p:panel>


                            <p:panel header="Documentos aportados" toggleable="true">

                                <p:dataTable var="documentosAportados"
                                             value="#{consultaDocumentosTramite.documentosAportados}">

                                    <p:column>
                                        <f:facet name="header">
                                            Tipo documento
                                        </f:facet>
                                        <h:outputText
                                            value="#{documentosAportados.tipoDocumento.nombre}" />
                                    </p:column>

                                    <p:column>
                                        <f:facet name="header">
                                            Fecha adicion
                                        </f:facet>
                                        <h:outputText value="#{documentosAportados.fechaAporte}" />
                                    </p:column>

                                    <p:column>
                                        <f:facet name="header">
                                            Detalle
                                        </f:facet>
                                        <h:outputText value="#{documentosAportados.detalle}" />
                                    </p:column>

                                    <p:column>
                                        <f:facet name="header">
                                            Cantidad de folios
                                        </f:facet>
                                        <h:outputText value="#{documentosAportados.cantidadFolios}" />
                                    </p:column>

                                    <p:column>
                                        <f:facet name="header">
                                            Departamento
                                        </f:facet>
                                        <h:outputText
                                            value="#{documentosAportados.departamento.nombre}" />
                                    </p:column>

                                    <p:column>
                                        <f:facet name="header">
                                            Municipio
                                        </f:facet>
                                        <h:outputText value="#{documentosAportados.municipio.nombre}" />
                                    </p:column>

                                    <p:column>
                                        <f:facet name="header">
                                            Oficina emisora
                                        </f:facet>
                                        <h:outputText value="#{documentosAportados.oficinaEmisora}" />
                                    </p:column>

                                    <p:column>
                                        <f:facet name="header">
                                            Número título
                                        </f:facet>
                                        <h:outputText value="#{documentosAportados.numeroTitulo}" />
                                    </p:column>

                                    <p:column>
                                        <f:facet name="header">
                                            Fecha título
                                        </f:facet>
                                        <h:outputText value="#{documentosAportados.fechaTitulo}" />
                                    </p:column>


                                    <p:column>
                                        <f:facet name="header">
                                            Documento soporte
                                        </f:facet>
                                        <h:outputText
                                            value="#{documentosAportados.documentoSoporteId}" />
                                    </p:column>

                                </p:dataTable>
                            </p:panel>


                            <p:panel header="Documentos adicionales aportados"
                                     toggleable="true">
                                <p:dataTable var="documentosAdicionalesAportados"
                                             value="#{consultaDocumentosTramite.documentosAdicionalesAportados}">

                                    <p:column>
                                        <f:facet name="header">
                                            Tipo documento
                                        </f:facet>
                                        <h:outputText
                                            value="#{documentosAdicionalesAportados.tipoDocumento.nombre}" />
                                    </p:column>

                                    <p:column>
                                        <f:facet name="header">
                                            Fecha adicion
                                        </f:facet>
                                        <h:outputText
                                            value="#{documentosAdicionalesAportados.fechaAporte}" />
                                    </p:column>

                                    <p:column>
                                        <f:facet name="header">
                                            Detalle
                                        </f:facet>
                                        <h:outputText
                                            value="#{documentosAdicionalesAportados.detalle}" />
                                    </p:column>

                                    <p:column>
                                        <f:facet name="header">
                                            Cantidad de folios
                                        </f:facet>
                                        <h:outputText
                                            value="#{documentosAdicionalesAportados.cantidadFolios}" />
                                    </p:column>

                                    <p:column>
                                        <f:facet name="header">
                                            Departamento
                                        </f:facet>
                                        <h:outputText
                                            value="#{documentosAdicionalesAportados.departamento.nombre}" />
                                    </p:column>

                                    <p:column>
                                        <f:facet name="header">
                                            Municipio
                                        </f:facet>
                                        <h:outputText
                                            value="#{documentosAdicionalesAportados.municipio.nombre}" />
                                    </p:column>

                                    <p:column>
                                        <f:facet name="header">
                                            Oficina emisora
                                        </f:facet>
                                        <h:outputText
                                            value="#{documentosAdicionalesAportados.oficinaEmisora}" />
                                    </p:column>

                                    <p:column>
                                        <f:facet name="header">
                                            Número título
                                        </f:facet>
                                        <h:outputText
                                            value="#{documentosAdicionalesAportados.numeroTitulo}" />
                                    </p:column>

                                    <p:column>
                                        <f:facet name="header">
                                            Fecha título
                                        </f:facet>
                                        <h:outputText
                                            value="#{documentosAdicionalesAportados.fechaTitulo}" />
                                    </p:column>


                                    <p:column>
                                        <f:facet name="header">
                                            Documento soporte
                                        </f:facet>
                                        <h:outputText
                                            value="#{documentosAdicionalesAportados.documentoSoporteId}" />
                                    </p:column>

                                </p:dataTable>
                            </p:panel>

                        </h:panelGrid>
                    </h:panelGrid>
                </p:panel>
            </h:panelGrid>
        </h:form>
    </ui:define>
</ui:composition>